### Constructor

# Pango.Layout.new

#### Declaration [src]

    PangoLayout*
    pango_layout_new (
      PangoContext* context
    )

#### Description [src]

Create a new `PangoLayout` object with attributes initialized to default values for a particular `PangoContext`.

#### Parameters

`context` | `PangoContext`
| a `PangoContext`
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoLayout`
the newly allocated `PangoLayout`, with a reference count of one, which should be freed with `g_object_unref()`.
Ownership of the data is transferred to the caller